plug-ins not found in 64 bit Linux Firefox

RESOLVED WORKSFORME

Status

()

RESOLVED WORKSFORME
7 years ago
5 years ago

People

(Reporter: ToddAndMargo, Unassigned)

Tracking

6 Branch
x86
Linux
Points:
---

Firefox Tracking Flags

(Not tracked)

Details

(Reporter)

Description

7 years ago
User Agent: Mozilla/5.0 (X11; Linux i686; rv:6.0.1) Gecko/20100101 Firefox/6.0.1
Build ID: 20110830092941

Steps to reproduce:

Hi All,

OS: 64 bit Scientific Linux 6.1 (Red Hat Enterprise 6.1 clone)

Although I have access to out of date RPMs, I like to use your binaries as they are up to date.  

Problem: although the out-of-date (ff 4.0) 64 bit RPM's can find all my plug-ins, the 64 bit Firefox 5.0.1 and 6.0.1 binaries for Linux from ftp://releases.mozilla.org
can not find *any* plugins.

Work around:

# mv /usr/lib/mozilla /usr/lib/mozilla.000
# ln -s /usr/lib64/mozilla /usr/lib/mozilla

Would you please fix this for me?

Many thanks,
-T

p.s. the downside to the work around, the pdf plugin for Acroread stops working.  But 64 bit Java and Flash plug-ins do start working, so life is a compromise

Comment 1

5 years ago
Is this still an issue with current Firefox versions? It seems to work fine on Ubuntu 12.10/13.04.
Flags: needinfo?(ToddAndMargo)
(Reporter)

Comment 2

5 years ago
Hi Ioana,

No problem found under Scientific Linux 6.4, 64 bit and Firefox 26, 64 bit.  Please go ahead and close.  Thank you!

-T


$ ls -al /usr/lib64/mozilla
total 156
drwxr-xr-x.   4 root root   4096 Dec 27  2012 .
dr-xr-xr-x. 188 root root 143360 Dec 27 14:08 ..
drwxr-xr-x.   2 root root   4096 Oct 12  2011 extensions
drwxr-xr-x.   2 root root   4096 Dec 14 13:30 plugins
Flags: needinfo?(ToddAndMargo)
(Reporter)

Updated

5 years ago
Status: UNCONFIRMED → RESOLVED
Last Resolved: 5 years ago
Resolution: --- → WORKSFORME
You need to log in before you can comment on or make changes to this bug.